//Effet de parallaxe

const parallax = document.querySelector('.big-image');

window.addEventListener('scroll', () => {
    parallax.style.backgroundPositionY = `${window.scrollY / 2}px`;
});

//Bouton pour revenir en haut de la page

const btnup = document.querySelector('.btn-up');

btnup.addEventListener('click', () => {
    window.scrollTo({
        top: 0,
        left: 0,
        behavior: "smooth"
    })
})

//Bouton Dark Mode

const btndark = document.querySelector(".btn-dark-mode");
const contain = document.querySelector(".article-conteneur");
const allP = document.querySelectorAll("p");
const allH2 = document.querySelectorAll("h2");
const allH3 = document.querySelectorAll("h3");
const allH4 = document.querySelectorAll("h4");

btndark.addEventListener("click", function() {
    contain.classList.toggle("dark-article-conteneur");

    for(var i = 0; i < allP.length; i++)
    {
        allP[i].classList.toggle("white-text");
    }
    for(var i = 0; i < allH2.length; i++)
    {
        allH2[i].classList.toggle("white-h2");
    }
    for(var i = 0; i < allH3.length; i++)
    {
        allH3[i].classList.toggle("white-text");
    }
    for(var i = 0; i < allH4.length; i++)
    {
        allH4[i].classList.toggle("white-text");
    }
});

//Menu Responsive sur la page d'articles

let burgericon = document.querySelector(".base-burger-icon");
let menu = document.querySelector(".base-portable-menu");
let i = document.querySelector(".burger-i");

menu.style.display = "none";
var isMenuDisp = new Boolean("false");

burgericon.addEventListener("click", function()
{
    if(isMenuDisp == false)
    {
        isMenuDisp = true;
        menu.style.display = "block";
        i.classList.remove("fa-bars");
        i.classList.add("fa-times");
    }
    else
    {
        isMenuDisp = false
        menu.style.display = "none";
        i.classList.add("fa-bars");
        i.classList.remove("fa-times");
    }
});

//Apparition de l'aside 
$(document).on('scroll',function (){
    const Top = $(window).scrollTop();
	const Lscreen=screen.width;
    if(Top >= 600 && Lscreen>480){
        $('.aside').css("display","block");
    } else{
        $('.aside').css("display","none");
    }
});


// Masquer et montrer le menu 
  var doc = document.documentElement;
  var w = window;

  var prevScroll = w.scrollY || doc.scrollTop;
  var curScroll;
  var direction = 0;
  var prevDirection = 0;

  var header = document.querySelector('.base-header');

// Cette fonction cache le menu lors d'un scroll vers la bas et le fait apparaitre lors d'un scroll vers le haut
  var checkScroll = function() {
    curScroll = w.scrollY || doc.scrollTop;
    if (curScroll > prevScroll) { 
      direction = 2;
    }
    else if (curScroll < prevScroll) { 
      direction = 1;
    }

    if (direction !== prevDirection) {
      toggleHeader(direction, curScroll);
    }
    
    prevScroll = curScroll;
  };

  var toggleHeader = function(direction, curScroll) {
    if (direction === 2 && curScroll > 52) { 
      header.classList.add('hide');
      prevDirection = direction;
    }
    else if (direction === 1) {
      header.classList.remove('hide');
      prevDirection = direction;
    }
  };
  
  window.addEventListener('scroll', checkScroll);
		