<?php

class Article {
	public $id_article;
    public $titre;
    public $auteur;
    public $id_cat;

	function __construct($id, $titre, $a, $cat) {
		$this->id_article = $id;
        $this->titre = $titre;
        $this->auteur = $a;
        $this->id_cat = $cat;
	}


	function changeArticle($id, $titre, $a, $cat) {
		$this->id_article = $id;
        $this->titre = $titre;
        $this->auteur = $a;
        $this->id_cat = $cat;
    }

    static function readOnly($value) {
        $sql= 'SELECT id_cat, titre, balise, contenu, attribut1_href, attribut2_src, attribut3_alt, attribut4_type, Element.id_article
               FROM Article
               INNER JOIN Element 
               On Article.id_article = Element.id_article
               WHERE id_cat = '.$value.'';
        $pdo = connexion();
        $query = $pdo->prepare($sql);
        $query->execute();
        $tableau = $query->fetchAll(PDO::FETCH_ASSOC);
        return $tableau;

    }

    
    static function readAllTitleAuthor() {

        $sql= 'SELECT id_article, titre, auteur, id_cat
               FROM Article';
        $pdo = connexion();
        $query = $pdo->prepare($sql);
        $query->execute();
        $tableau = $query->fetchAll(PDO::FETCH_ASSOC);
        return $tableau;
    }

    static function readTitleAuthor($value) {

        $sql= 'SELECT id_article, titre, auteur, id_cat
            FROM Article
            WHERE id_cat = '.$value.'';
        $pdo = connexion();
        $query = $pdo->prepare($sql);
        $query->execute();
        $tableau = $query->fetchAll(PDO::FETCH_ASSOC);
        return $tableau;
    }


    static function createArticle($tableau) {

        $sql= 'INSERT INTO Article (id_article, titre, auteur, id_cat)
                VALUES ("'.$tableau['id_article'].'", "'.$tableau['titre'].'", "'.$tableau['auteur'].'", "'.$tableau['id_cat'].'")';
        $pdo = connexion();
        $query = $pdo->prepare($sql);
        $query->execute();
        $tableau = $query->fetchAll(PDO::FETCH_ASSOC);
        return $tableau; 
    } 
	
	 static function delete($id)
    {
        // connexion
        $pdo = connexion();

        // construction de la requête :nom, :prenom sont les valeurs à insérées
        $sql = 'DELETE FROM Article WHERE id_article = :id;';

        // préparation de la requête
        $query = $pdo->prepare($sql);

        // on lie le paramètre :id à la variable $id reçue
        $query->bindValue(':id', $id, PDO::PARAM_INT);

        // exécution de la requête
        $query->execute();
    }


    
}